select a new printer window crashes

Bug #791690 reported by Tretelea Constantin on 2011-06-02
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: system-config-printer

After installing the packages cndrvcups-capt cndrvcups-common, no answering the window where I choose Printer from the network. If I uninstall the packages have no problem. But I need to install these packages for network printer.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: system-config-printer-gnome 1.3.1+20110222-0ubuntu16.3
ProcVersionSignature: Ubuntu 2.6.35-29.51-generic 2.6.35.12
Uname: Linux 2.6.35-29-generic x86_64
Architecture: amd64
CupsErrorLog: E [02/Jun/2011:08:41:45 +0300] [Job 3] Unable to queue job for destination "HP-LaserJet-5100"!
Date: Thu Jun 2 08:50:44 2011
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
InterpreterPath: /usr/bin/python2.7
Lpstat: device for Jurist-Panasonic: smb://USER/JURIST/Panasonic
MachineType: Gateway m-1632j
PackageArchitecture: all
Papersize: a4
PpdFiles: Jurist-Panasonic: Generic PCL Laser Printer
ProcEnviron:
 LANGUAGE=ro_RO:en
 LANG=ro_RO.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-29-generic root=UUID=0033700b-3616-4990-b8c6-1e7b73bc6a5b ro quiet splash vt.handoff=7
SourcePackage: system-config-printer
UpgradeStatus: Upgraded to natty on 2011-05-30 (2 days ago)
dmi.bios.date: 05/23/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 9D.05
dmi.board.vendor: Gateway
dmi.board.version: Rev 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 8
dmi.chassis.vendor: Gateway
dmi.chassis.version: Rev.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr9D.05:bd05/23/2008:svnGateway:pnm-1632j:pvrRev1:rvnGateway:rn:rvrRev1.0:cvnGateway:ct8:cvrRev.1:
dmi.product.name: m-1632j
dmi.product.version: Rev 1
dmi.sys.vendor: Gateway

Tretelea Constantin (fox-i) wrote :
Till Kamppeter (till-kamppeter) wrote :

Do you mean that system-config-printer hangs in an infinite loop when trying to set up a new print queue and Canon's proprietary printer drivers are installed?

Which files do these drivers install in /usr/lib/cups/backend/? These files are executables, if you run them in a terminal window without any command line arguments, do they output something? Do they exit in a reasonable time? Please post the output here and tell how long they take to produce the output and how long they take to exit.

If one of these backends is not executable for normal users, please execute it with preceded "sudo " and enter your password when asked for.

Changed in system-config-printer (Ubuntu):
status: New → Incomplete
Tretelea Constantin (fox-i) wrote :

I executed it in terminal with preceded "sudo". When I want add the new printer in terminal error message appears.

constantin@Gateway-PC:~$ sudo system-config-printer
Traceback (most recent call last):
  File "/usr/share/system-config-printer/asyncipp.py", line 197, in send_reply
    handler (self._conn, result)
  File "/usr/share/system-config-printer/asyncconn.py", line 93, in reply_handler
    self._reply_handler (self, self._reply_data, *args)
  File "/usr/share/system-config-printer/asyncconn.py", line 204, in _subst_reply_handler
    reply_handler (self, *args)
  File "/usr/lib/pymodules/python2.7/cupshelpers/cupshelpers.py", line 602, in _reply_handler
    self._client_reply_handler (connection, devices)
  File "/usr/share/system-config-printer/newprinter.py", line 1375, in <lambda>
    current_uri))
  File "/usr/share/system-config-printer/newprinter.py", line 1405, in local_devices_reply
    self.add_devices (result, current_uri)
  File "/usr/share/system-config-printer/newprinter.py", line 1804, in add_devices
    physdev = model.get_value (iter, 1)
TypeError: iter must be a GtkTreeIter

Till Kamppeter (till-kamppeter) wrote :

Tim, can you have a look into this?

Tim Waugh (twaugh) wrote :

Fixed upstream in 60efcbb.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.3+20110707-0ubuntu1

---------------
system-config-printer (1.3.3+20110707-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o GIT 1.3.x snapshot from 2 June 2011
     o Changed Make/Model and State labels into a GtkEntry so contents are
       always fully selectable.
     o udev: don't rely on retriggering printers, enumerate them instead.
       (As Ubuntu uses Upstart and not systemd we need to update
       /etc/init/cups.conf to make use of the new functionality).
     o Convert iters to paths before comparing (Red Hat bug #717062,
       LP: #791690, Upstream bug #221). Tree iters cannot be compared, but
       paths can.
     o Set translation domain in D-Bus service (LP: #783967).
     o Driver preferencess: Avoid PostScript for HP LaserJet 2100 Series
       (Red Hat bug #710231). Avoid non-manufacturer PostScript drivers in
       this case. Some other drivertype names changed to avoid conflicts and
       mistaken matches.
     o Ensure consistency in jobviewer if add_job fails (Red Hat bugs #693055
       and #632551).
     o Raised the priority of the SpliX driver for Samsung laser printers, so
       that it is used as the default driver for these printers, and not
       "Foomatic/gdi" any more (LP: #793741).
     o Adjusted test code in asyncpk1.py so it doesn't look like a tempfile
       vulnerability.
  * debian/patches/20_priority-for-splix.patch: Removed, applied upstream.
  * debian/patches/10_do-not-show-firewall-dialog.patch: Removed, problem of the
    firewall dialog appearing is solved upstream.
 -- Till Kamppeter <email address hidden> Thu, 07 Jul 2011 19:09:44 +0200

Changed in system-config-printer (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers